Hello i have qt 4.8.2 and qt creator 2.5.2 with mingw compiler.I have downloaded microsoft visual studio express 2013, windbg and arcgis runtime sdk and followed the steps mentioned in the document.When i tried to create a new project and run using qt it

3850
11
12-04-2014 11:18 PM
NTLNiyantra_Technologies
New Contributor

start up problem

0 Kudos
11 Replies
EricBader
Regular Contributor II

Which version of the ArcGIS Runtime SDK for Qt are you trying to develop with?

0 Kudos
NTLNiyantra_Technologies
New Contributor

Thanq for responding. I am using  ArcGis_Runtime_sdk_qt_Windows_1023

0 Kudos
NTLNiyantra_Technologies
New Contributor

I got that Problem solved.But ArcGIS Online Tiled Basemap Layer is not displaying  on my qt window.Itis showing error as"

Debugging starts

Debug Assertion Failed!

Program: C:\Windows\SYSTEM32\MSVCP110D.dll

File: C:\Program Files (x86)\Microsoft Visual Studio 11.0\VC\INCLUDE\xstring

Line: 1143

Expression: invalid null pointer

For information on how your program can cause an assertion

failure, see the Visual C++ documentation on asserts.

(Press Retry to debug the application)

"

0 Kudos
JeanneTrieu
Occasional Contributor

Hi,

At 10.2.3, the minimum Qt requirement is 5.1.1 with VS 2012. You can get more information on the setup and how to configure your environment here: Install and set up on Windows—ArcGIS Runtime SDK for Qt | ArcGIS for Developers  and the system requirement: System requirements—ArcGIS Runtime SDK for Qt | ArcGIS for Developers.

Regards,

Jen Trieu

0 Kudos
NTLNiyantra_Technologies
New Contributor

At first i checked with that configuration but later on i have downloaded  qt sdk 5.1.1 and qt creator  2.7.2 and microsoft visual studio 2012 for windows desktop and working on this configuration still iam not getting the map.It is showing as invalid null pointer

0 Kudos
LucasDanzinger
Esri Frequent Contributor

Which version of Qt are you using? You will need the MSVC2012 w/ openGL Desktop 5.1.1, but I think you may be using MinGW

2014-12-15_0935.png

0 Kudos
NTLNiyantra_Technologies
New Contributor

The  qt version which iam using is qt-windows-opensource-5.1.1-msvc2012-x86-offline.exe

and compiler is Microsoft Visual Studio Express 2012 for Windows Desktop - ENU

0 Kudos
LucasDanzinger
Esri Frequent Contributor

Ok, you will need to use the one that specifies OpenGL, such as the screenshot in my previous post.

0 Kudos
NTLNiyantra_Technologies
New Contributor

Previoulsy i tried to install qt-windows-opensource-5.1.1-msvc2012_opengl-x86_64-offline on my system but unable to install thats why i have installed qt-windows-opensource-5.1.1-msvc2012-x86-offline.exe on my system.

0 Kudos